Minor versions do not contain breaking changes. This log contains changes for main API (except Webhooks endpoint).
1.2.34
- new document payload column “export_metadata” was added
1.2.33
-
agenda create payload accepts both lowercase and uppercase country codes
-
agenda payloads in list or in detail return country code only with uppercase
1.2.32
- tax line name was added to payload
1.2.31
- null values are not coereced to empty strings anymore in data sanitation process
1.2.30
- client_id column support added to agenda resource
1.2.29
-
email endpoint response payload extended
-
full uploads and documents tree with file related metadata is now available
1.2.28
New endpoint:
-
Get Email - allows you to retrieve email resource info by given email_id.
-
new field added do document payload: email_id
1.2.27
- new field added to document payload: content_type
1.2.26
- new field added to document payload: content_type
1.2.25
- also documents in templating and extracting state can be filtered
1.2.24
- new field added to document payload: comments_count
1.2.23
- new comments endpoint was added
1.2.22
- signature_headers added to webhook event log response payload
1.2.21
- added support for filtering archived documents
1.2.20
- payment_options section introduced in document response
1.2.19
- agenda_id added to document payload
1.2.18
-
ENDPOINT_TEST event renamed to ENDPOINT_TESTED
-
new event MANUALLY_PUBLISHED for “Export to Webhook” feature
1.2.17
-
multiple webhooks for unique endpoints support added
-
fetch webhook details endpoint added
-
test webhook endpoint added
1.2.16
-
webhook payload signing support (two new headers were added: ‘demo_identifier’ and ‘Webhook-Signature’)
-
more details here
1.2.15
- agenda email whitelist - whole domain can be whitelisted now in the following format “@domainname.com”
1.2.14
-
polling flow deprecated, do not use it for new integrations
-
webhook support added
-
new recommended flow guide added
1.2.13
- response code 406 is returned for malformed content type headers
1.2.12
-
support for filtering documents by IDs across multiple accessible agendas
-
404 response on non-accessible agenda changed to 403
1.2.11
New endpoint:
- documents bulk update - allows you to update multiple documents in one request. It supports only status update for now (ready -> exported, exported -> ready)
1.2.10
- bank account fields added to both mapped contacts from central evidence (supplier/customer)
1.2.9
Endpoint behaviour change
- document delete endpoint returns code 422 with warning message for attempted delete of document which is still in datacapture processing
1.2.8
New fields:
-
active_addons, default_view_detail and external_id added to Agenda
-
approval field group and view_detail added to Document
New endpoints:
- document update - supports only status update for now (ready -> exported, exported -> ready)
New features:
-
ability to filter documents by approval state
-
validation of approval state filter
-
parameter validation of document state filter parameter
1.2.7
-
validation message for duplicate agenda email_alias now contains id of the original agenda
-
new error response for scenario where multiple parallel requests fail on db constraint for agenda email_alias field (also contains original_agenda_id)
1.2.6
- original file endpoint returns now data even when the document was not processed yet. The same goes for original and preview attributes in document detail response.
1.2.5
- added new field upload_file_name to create document responses. It contains the name of the initialy uploaded file.
1.2.4
- you can optionaly enable file duplicates check on upload level as part of document create request. In case there is already upload with same MD5 hash special response is returned. This feature was improved and you will now receive the original upload UUID and the IDs of docs which were created from the original upload.
New response fields were added:
-
original_upload_uuid - import history upload uui
-
original_upload_doc_ids - ids of docs created from the first original upload
1.2.3
New fields added to document resource:
-
shipping
-
other_cost1
-
other_cost2
-
other_cost3
-
total_discount
-
customer_no
-
purchase_order_no
-
reference
-
delivery_note_no
-
card_no
-
discount_rate
-
discount
1.2.2
- document update endpoint removed
1.2.1
Added features are helping with processing of high volumes of files:
-
you can filter document collection by array of document IDs
-
parent_id added to document response
-
expiring S3 url to original file added to document response
-
adjustments for new upload history feature, your upload record is created as part of the document create call
-
optional file duplicates check for document create
-
optional filtering by multiple types (type parameter can be an array)
1.2.0
-
upload multiple documents in single request
-
filter document list by document state, type and last modification
-
document list pagination
-
request extract line items
-
request repair document
Older versions of Datamolino API already reached end of life.